Bug 884803 - Client stuck in permanent loop handling TransportFailure exception
Summary: Client stuck in permanent loop handling TransportFailure exception
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: 2.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 3.0
: ---
Assignee: Gordon Sim
QA Contact: Frantisek Reznicek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-06 18:15 UTC by Justin Ross
Modified: 2015-11-16 01:14 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 804752
Environment:
Last Closed: 2013-04-25 14:07:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
proposed revision to test program (1.55 KB, text/x-c++src)
2013-04-22 12:38 UTC, Gordon Sim
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 804752 0 medium CLOSED TransportFailure exception deadlock 2021-02-22 00:41:40 UTC

Internal Links: 804752

Comment 8 Gordon Sim 2013-04-22 12:38:35 UTC
Created attachment 738511 [details]
proposed revision to test program

This is a minor modification to the original test program, that recreates the session and receiver where necessary and thus allows the program to exit after queues have been recreated and EOS message sent.

Comment 10 Justin Ross 2013-04-25 14:07:12 UTC
-> CLOSED NOTABUG

Frantisek, if you think this is incorrect, please reopen.

Comment 11 Frantisek Reznicek 2013-04-26 16:30:13 UTC
I agree with resolution, my runs proved it works as expected on last stable builds RHEL 5.9 / 6.4 i/x.


Note You need to log in before you can comment on or make changes to this bug.